Authenticated Encryption with Associated Data (AEAD) Parameters

Created

  • 2007-11-14

Last Updated

  • 2026-09-22

Available Formats


AEAD Algorithms

Expert(s)

  • David McGrew, Bjoern Tackmann, Stanislav Smyshlyaev

Reference

  • RFC 5116: An Interface and Algorithms for Authenticated Encryption

Available Formats

Range Registration Procedures
1-32767 Specification Required
32768-65535 Private Use
Numeric ID Name Reference
1 AEAD_AES_128_GCM RFC 5116
2 AEAD_AES_256_GCM RFC 5116
3 AEAD_AES_128_CCM RFC 5116
4 AEAD_AES_256_CCM RFC 5116
5 AEAD_AES_128_GCM_8 RFC 5282
6 AEAD_AES_256_GCM_8 RFC 5282
7 AEAD_AES_128_GCM_12 RFC 5282
8 AEAD_AES_256_GCM_12 RFC 5282
9 AEAD_AES_128_CCM_SHORT RFC 5282
10 AEAD_AES_256_CCM_SHORT RFC 5282
11 AEAD_AES_128_CCM_SHORT_8 RFC 5282
12 AEAD_AES_256_CCM_SHORT_8 RFC 5282
13 AEAD_AES_128_CCM_SHORT_12 RFC 5282
14 AEAD_AES_256_CCM_SHORT_12 RFC 5282
15 AEAD_AES_SIV_CMAC_256 RFC 5297
16 AEAD_AES_SIV_CMAC_384 RFC 5297
17 AEAD_AES_SIV_CMAC_512 RFC 5297
18 AEAD_AES_128_CCM_8 RFC 6655
19 AEAD_AES_256_CCM_8 RFC 6655
20 AEAD_AES_128_OCB_TAGLEN128 RFC 7253, Section 3.1
21 AEAD_AES_128_OCB_TAGLEN96 RFC 7253, Section 3.1
22 AEAD_AES_128_OCB_TAGLEN64 RFC 7253, Section 3.1
23 AEAD_AES_192_OCB_TAGLEN128 RFC 7253, Section 3.1
24 AEAD_AES_192_OCB_TAGLEN96 RFC 7253, Section 3.1
25 AEAD_AES_192_OCB_TAGLEN64 RFC 7253, Section 3.1
26 AEAD_AES_256_OCB_TAGLEN128 RFC 7253, Section 3.1
27 AEAD_AES_256_OCB_TAGLEN96 RFC 7253, Section 3.1
28 AEAD_AES_256_OCB_TAGLEN64 RFC 7253, Section 3.1
29 AEAD_CHACHA20_POLY1305 RFC 8439
30 AEAD_AES_128_GCM_SIV RFC 8452
31 AEAD_AES_256_GCM_SIV RFC 8452
32 AEAD_AEGIS128L RFC 10032
33 AEAD_AEGIS256 RFC 10032
34 AEAD_AEGIS128X2 RFC 10032
35 AEAD_AEGIS128X4 RFC 10032
36 AEAD_AEGIS256X2 RFC 10032
37 AEAD_AEGIS256X4 RFC 10032
38 AEAD_XCHACHA20_POLY1305 draft-irtf-cfrg-xchacha-03
39 AEAD_XAES_256_GCM https://c2sp.org/XAES-256-GCM@v1.0.1
40-32767 Unassigned
32768-65535 Reserved for Private Use RFC 5116